Problem installing smb4k

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Problem installing smb4k

Postby axel668 » Sun Oct 11, 2009 20:22

Hi there :)
Using Sabayon 5.o for a week (yay !) and have a problem installing smb4k - as it's not in Sulfur, I'm trying Porthole to "emerge" it (managed with some other packages). Now with smb4k (which is for me the only known way to connect to a harddisk attached to my Belkin WLAN router), I'm getting the following error log:

Code: Select all
000001 *** emerge --nospinner net-misc/smb4k ***
000002
000003  * IMPORTANT: 2 news items need reading for repository 'gentoo'.
000004  * Use eselect news to read news items.
000005
000006 .. done!
000007 [ebuild  N    ] net-fs/mount-cifs-3.0.30
000008 [ebuild  N    ] dev-libs/xmlrpc-c-1.18.02  USE="cgi curl cxx -abyss -threads -tools"
000009 [ebuild  N    ] dev-util/cmake-2.6.4-r3  USE="qt4 -emacs -vim-syntax"
000010 [ebuild  N    ] net-misc/smb4k-0.10.4  USE="(-aqua) -debug -handbook" LINGUAS="de -bg -cs -da -es -fr -hu -is -it -ja -ko_KR -nb -nl -pl -pt_BR -ru -sk -sv -tr -uk -zh_CN -zh_TW"
000011 [blocks B     ] net-fs/mount-cifs ("net-fs/mount-cifs" is blocking net-fs/samba-client-3.3.6)
000012
000013  * Error: The above package list contains packages which cannot be
000014  * installed at the same time on the same system.
000015
000016   ('ebuild', '/', 'net-fs/mount-cifs-3.0.30', 'merge') pulled in by
000017     net-fs/mount-cifs required by ('ebuild', '/', 'net-misc/smb4k-0.10.4', 'merge')
000018
000019   ('installed', '/', 'net-fs/samba-client-3.3.6', 'nomerge') pulled in by
000020     ~net-fs/samba-client-3.3.6 required by ('installed', '/', 'net-fs/samba-3.3.6', 'nomerge')
000021
000022
000023 For more information about Blocked Packages, please refer to the following
000024 section of the Gentoo Linux x86 Handbook (architecture is irrelevant):
000025
000026 http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
000027
000028
000029 !!! The following installed packages are masked:
000030 - media-sound/pulseaudio-0.9.17-r51 (masked by: package.mask)
000031 /etc/portage/package.mask:
000032 # Joost Ruis: Gentoo made a revision split (yeah!?),  the revisions > 49 are ment to work with openrc (daemonfy)
000033
000034 For more information, see the MASKED PACKAGES section in the emerge
000035 man page or refer to the Gentoo Handbook.
000036
000037
000038  * IMPORTANT: 2 news items need reading for repository 'gentoo'.
000039  * Use eselect news to read news items.
000040
000041 *** Prozess abgeschlossen ***


Removing samba client is out of the question, because this will remove important stuff from kdebase (startkde script). Anyone managed to install smb4k in Sabayon 5 ? How did you do it ? Any help would be appreciated !
axel668
Baby Hen
 
Posts: 4
Joined: Fri Jul 03, 2009 16:54

Re: Problem installing smb4k

Postby xlnagla » Tue Oct 13, 2009 18:17

I believe your issue is not samba-client but mount-cifs. Removing that will allow you to continue your emerge.

~xlnagla
xlnagla
Sagely Hen
 
Posts: 1078
Joined: Mon May 28, 2007 2:44

Re: Problem installing smb4k

Postby axel668 » Fri Oct 16, 2009 8:42

Hi xlnagla !

Thanks for the answer. But actually smb4k seems to depend on mount-cifs. I managed to emerge it using the "--nodeps" option, but when trying to connect to my router it fails with a "mount-cifs failed" error. (same configuration working like a charm in Ubuntu Jaunty).

So my problem seems to be rather, how to install mount-cifs without having to uninstall samba-client.

Best regards,
Axel
axel668
Baby Hen
 
Posts: 4
Joined: Fri Jul 03, 2009 16:54


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 3 guests